CMS DataLife Engine - Система управления сайтами

fortune7

новички
  • Content count

    39
  • Joined

  • Last visited

Community Reputation

1 Обычный

About fortune7

  • Rank
    Новичок

Контакты

  • Сайт
    http://imdesigner.ru

Информация

  • Пол
    Мужчина
  1. Самое смешное в том, что я в самом начале не пытался выглядеть тем кем не являюсь и написал, что я дизайнер, а не кодер, ничтожество.
  2. Большое спасибо, то, что пользовали 4.1, подтолкнуло к поиску, нашел, думал кроме бутовских файлов нет ничего, кодер собиравший мне js библиотеку и писавший мне js файл косякнул в спешке, одну функцию в другую сунул, исправил, вроде все заработало, буду проверять дальше. Тема закрыта. Определили папуасом? Похорошело? И на вы впредь.
  3. не я, а ребята из команды бутстрапа, моих скриптов там нет в принципе. Чего? ))) В общем проблема описана, кто будет работать с новым бутом на дле, отпишитесь, интересно.
  4. да это то понятно, я ж не просто удаляю бутовский кусок, а меняю на новый, а новый это уже 4 версия, естественно будет ошибка, хотелось бы узнать, какие переменные переписывать с 3 бута на 4? Просто на заявление предыдущего юзера, что все в jquery ui, пытался донести, что не все. То же быстрое редактирование в модалке не пашет, вывод результатов голосований и т.д. тоже не работает. Всё это завязано на бут или я ошибаюсь? А мозгов найти все это и переписать под 4 пока не хватает, поэтому и пользую как основу дефолтный шаб с древним бутом )) Кстати шаб написанный на бете бута 4.0.0 прекрасно подружился с дефолтным шабом, а 4.2.1 уже нет.
  5. Беру дефолтный шаблон, удаляю из него lib.js, точнее бутовский кусок кода и аминь, модальные окна дле не работают. Возможно использованы одни и те же переменные, я дизайнер, с js и т.п. у меня туго. Смысл объяснять тут очевидное? Есть проблема, точнее была, забейте, буду сам справляться, чтоб на такие гениальные советы не отвлекаться.
  6. Спасибо! Пробовал, но проблема не в конфликтах версий jquery, а похоже в версиях bootstrap. В lib.js бутстрап 3.3.5, новая бета 4.2.1, если закомментировать вывод нового bootstrap.js 4.2.1, восстанавливается работа DLE, а если удалить из lib.js bootstrap.js 3.3.5, DLE падает, зато начинает работать свежая версия бута. В основном косяки в модалках, то есть "быстрое редактирование" статьи, просмотр результата голосований и т.д. Как быть?
  7. Дамы и господа, здравствуйте, а кто ставил шаблон на DLE на базе бутстрапа beta 4.2.1? На предыдущей бете было все норм, на этой, где jquery 3.3.1, вышел конфликт версий jquery. Бут отказывается работать на интегрированной в DLE версии jquery 2.2.4, при двойном подключении библиотек, рушатся плагины самого движка. Что делать? Либо в bootstrap.min.js изменены переменные, а jquery не при чем, шаблон делаю на основе дефолтного, что с нуля не начинать, а там в lib.js тоже есть bootstrap.js, на DLE 13.0 не было проблем, голову уже сломал ))